Package org.opensaml.soap.config

# Class SOAPConfiguration

java.lang.Object
org.opensaml.soap.config.SOAPConfiguration

public class SOAPConfiguration extends Object
SAML-related configuration information.

The configuration instance to use would typically be retrieved from the `ConfigurationService`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Integer`
`decoderSizeLimit`
SOAP message size limit.
`private boolean`
`enforceDecoderSizeLimit`
Flag indicating whether to enforce SOAP message size limits in the decoders.

## Constructor Summary

Constructors
Constructor
Description
`SOAPConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getDecoderSizeLimit()`
Get the SOAP message size limit.
`boolean`
`isEnforceDecoderSizeLimit()`
Get the flag indicating whether to enforce SOAP message size limits in the decoders.
`void`
`setDecoderSizeLimit(Integer limit)`
Set the SOAP message size limit.
`void`
`setEnforceDecoderSizeLimit(boolean flag)`
Set the flag indicating whether to enforce SOAP message size limits in the decoders.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### enforceDecoderSizeLimit

private boolean enforceDecoderSizeLimit
Flag indicating whether to enforce SOAP message size limits in the decoders.

### decoderSizeLimit

@Nullable private Integer decoderSizeLimit
SOAP message size limit.

## Constructor Details

### SOAPConfiguration

public SOAPConfiguration()

## Method Details

### isEnforceDecoderSizeLimit

public boolean isEnforceDecoderSizeLimit()
Get the flag indicating whether to enforce SOAP message size limits in the decoders.

Returns:
  true if enforcement enabled, false if not

### setEnforceDecoderSizeLimit

public void setEnforceDecoderSizeLimit(boolean flag)
Set the flag indicating whether to enforce SOAP message size limits in the decoders.

Parameters:
  `flag` - true if enforcement enabled, false if not

### getDecoderSizeLimit

@Nullable public Integer getDecoderSizeLimit()
Get the SOAP message size limit.

Returns:
  the limit in bytes

### setDecoderSizeLimit

public void setDecoderSizeLimit(@Nullable Integer limit)
Set the SOAP message size limit.

Parameters:
  `limit` - the limit in bytes